Skip to main content
POST
Model name compatibility note: This endpoint also accepts the aliases veo3.1-fast-ext (equivalent to veo3.1-fast), veo3.1-quality-ext (equivalent to veo3.1-quality), and veo3.1-lite-ext (equivalent to veo3.1-lite). Each alias is interchangeable with its model and produces identical results.

Authorization

string
required
All API endpoints require Bearer Token authenticationGet your API Key:Visit the API Key Management Page to get your API KeyAdd to the request header:

Request Parameters

string
default:"veo3.1-fast"
required
Video generation model nameAvailable models:
  • veo3.1-fast - Fast generation model, suitable for quick previews and iterations (compatible alias veo3.1-fast-ext)
  • veo3.1-quality - High quality generation model, suitable for final production (compatible alias veo3.1-quality-ext)
  • veo3.1-lite - Lightweight generation model, suitable for low-cost batch generation (compatible alias veo3.1-lite-ext)
Example: "veo3.1-fast"
For backward compatibility, the aliases veo3.1-fast-ext (for veo3.1-fast), veo3.1-quality-ext (for veo3.1-quality) and veo3.1-lite-ext (for veo3.1-lite) remain usable.
string
required
Text description for video generation
integer
Video duration in secondsFixed value: 8 (VEO3 only supports 8 seconds duration)
string
Video aspect ratioSupported formats:
  • 16:9 (Landscape)
  • 9:16 (Portrait)
string
Video generation typeSupported types:
  • frame - Frame-to-video (FL mode)
  • reference - Reference image-to-video
If not specified, defaults based on image count: 2 images for frame-to-video, 3 images for reference image-to-videoNote: veo3.1-quality model does not support reference mode
veo3.1-lite model does not support this parameter, do not pass it
array<url>
Array of reference image URLs for image-to-video generationSupports publicly accessible image URLs (http:// or https://)Example: ["https://example.com/image.jpg"]Limitations:
  • Maximum 3 images
  • For frame-to-video mode: first image is the start frame, second image is the end frame
  • Maximum file size: 10MB
  • Supported formats: .jpeg, .jpg, .png, .webp
veo3.1-lite model does not support this parameter, do not pass it
string
Video resolutionSupported values:
  • 720p (Default)
  • 1080p
  • 4k
boolean
Enable GIF output format. Default: falseNote: GIF and 1080p/4k resolution cannot be used simultaneously
boolean
default:"false"
Whether to use official channel as fallback
  • false: Do not use (default)
  • true: Use official channel
veo3.1-lite model does not support this parameter, do not pass it

Response

integer
Response status code
array
Response data array